@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

* {
	font-family: "Roboto", sans-serif;
	font-weight: 400;
}

h3 {
	font-weight: 500;
	font-size: 22px;
}

a {
	font-weight: 300;
	line-height: 15px;
}

.fw-bold {
	font-weight: 500 !important;
}

.bg-blue {
	background-color: #2c65f6;
}

.btn-light {
	color: #2c65f6;
	font-weight: 400;
}

.completed {
	background-color: #4caf5061 !important;
}

.btn-primary {
	--bs-btn-color: #fff;
	--bs-btn-bg: #1c3574;
	--bs-btn-border-color: #1a326d;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0b5ed7;
	--bs-btn-hover-border-color: #0a58ca;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #0a58ca;
	--bs-btn-active-border-color: #0a53be;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #0d6efd;
	--bs-btn-disabled-border-color: #0d6efd;
}

.login-container {
	padding: 10px;
	margin-top: 15px;
	margin-bottom: 45px;
	text-align: center;
}

.login-logo {
	width: 250px;
	opacity: 1;
	margin-bottom: 45px;
}

.login-container {
	padding: 25px;
	margin-top: 15px;
	margin-bottom: 15px;
	background-color: #f0f8ff30;
	border-radius: 15px;
}

:root {
	--sidebar-width: 280px;
	--sidebar-width-collapsed: 0px;
}

body {
	overflow-x: hidden;
}

.sidebar {
	width: var(--sidebar-width);
	height: 100%;
	background: linear-gradient(135deg, #2c65f6 0%, #182a56 100%);
	transition: all 0.3s ease;
}

.sidebar.collapsed {
	width: var(--sidebar-width-collapsed);
}

.sidebar-link {
	color: #cfd0db;
	transition: all 0.2s ease;
	border-radius: 8px;
	margin: 4px 16px;
	white-space: nowrap;
	overflow: hidden;
}

.sidebar-link:hover {
	color: #ffffff;
	background: rgba(255, 255, 255, 0.1);
	transform: translateX(5px);
}

.sidebar-link.active {
	color: #ffffff;
	background: rgba(255, 255, 255, 0.1);
}

.logo-text {
	background: linear-gradient(45deg, #6b8cff, #8b9fff);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	transition: opacity 0.3s ease;
}

.notification-badge {
	background: #ff6b6b;
	padding: 2px 6px;
	border-radius: 6px;
	font-size: 0.7rem;
}

.profile-section {
	border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.main-content {
	margin-left: var(--sidebar-width);
	background-color: #f8f9fa;
	min-height: 100vh;
	transition: all 0.3s ease;
	width: 100%;
}

.topbar {
	display: flex !important;
	position: relative;
	top: -70px;
	height: 70px;
	background: linear-gradient(135deg, #2c65f6 0%, #182a56 100%);
	transition: all 0.3s ease;
	justify-content: space-between;
	padding: 7px;
	align-items: center;
}

.collapsed ~ .main-content {
	margin-left: var(--sidebar-width-collapsed);
	background-color: #f8f9fa;
	min-height: 100vh;
	transition: all 0.3s ease;
	width: 100%;
	.topbar {
		transition: all 0.3s ease;
		position: relative;
		top: 0px !important;
	}
}

.toggle-btn {
	position: absolute;
	right: -15px;
	top: 20px;
	background: white;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	border: none;
	box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
	z-index: 100;
	cursor: pointer;
	transition: transform 0.3s ease;
	i {
		font-size: 25px;
		color: #2c65f6;
	}
}

.toggle-btn-mobile {
	background: white;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	border: none;
	box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
	z-index: 100;
	cursor: pointer;
	transition: transform 0.3s ease;
	rotate: 180deg;
	i {
		font-size: 25px;
		color: #2c65f6;
	}
}

.collapsed .toggle-btn {
	transform: rotate(180deg);
	right: -65px;
}

.collapsed .hide-on-collapse {
	opacity: 0;
	visibility: hidden;
}

.collapsed .logo-text {
	opacity: 0;
}

.collapsed .profile-info {
	opacity: 0;
}

.collapsed .sidebar-link {
	opacity: 0;
	visibility: hidden;
}

.collapsed .sidebar-link i {
	margin: 0 !important;
}

.profile-info {
	transition: opacity 0.2s ease;
}

.card-box {
	background-color: white;
	border-radius: 15px;
	padding: 25px;
	border: 1px solid #dfdfdf;
}

.card-box-element {
	background-color: #f8f9fa;
	padding: 10px;
	border-radius: 10px;
	border: 1px solid #cacaca;
	cursor: pointer;
	font-weight: 400;
	font-size: 20px;
}

.card-box-element.disabled {
	opacity: 0.4;
	pointer-events: none;
}
.card-box-element.active {
	opacity: 1;
	pointer-events: auto;
}

.status {
	display: block;
	font-size: 15px;
	opacity: 0.8;
}

.sub-element {
	font-size: 15px;
	display: block;
	max-height: 0;
	overflow: hidden;
	transition: max-height 300ms ease-in-out;
}

.sub-element.show {
	max-height: 100%; /* imposta un valore adeguato */
	margin-top: 15px;
}

.sub-element.hidden {
	max-height: 0px;
	margin-top: 0px;
}

.domanda {
	background-color: white;
	border-radius: 10px;
	padding: 20px;
	border: 1px solid #cacaca;
}

.completato {
	background-color: #4caf5061;
}

.table-header-cell {
	background-color: #4caf50;
	/* Verde medio per SK/DX/BIL */
	color: white;
}

.main-section-header {
	color: white;
}

.cervelletto-main-header {
	background-color: #2e7d32;
	/* Verde scuro per CERVELLETTO */
}

.pmrf-main-header {
	background-color: #4e342e;
	/* Marrone scuro per PMRF */
}

.peripheral-main-header {
	background-color: #00796b;
	/* Blu-verde scuro per Sezioni Periferiche */
}

.total-row {
	font-weight: bold;
}

.cervelletto-total-bg {
	background-color: #e8f5e9;
	/* Verde chiarissimo per totali Cervelletto */
}

.pmrf-total-bg {
	background-color: #efebe9;
	/* Marrone chiarissimo per totali PMRF */
}

.peripheral-total-bg {
	background-color: #b2dfdb;
	/* Blu-verde chiarissimo per totali Periferici */
}

.bil-col-bg {
	background-color: #f8f8f8;
	/* Sfondo leggermente grigio per colonna "BIL" */
}

.red-text {
	color: red;
	font-weight: bold;
}
